Package com.massivecraft.factions.missions

## Class Mission

- java.lang.Object
- - com.massivecraft.factions.missions.Mission

    public class Mission
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`Mission​(java.lang.String name, java.lang.String type)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` |
`long` | `getProgress()` |
`java.lang.String` | `getType()` |
`void` | `incrementProgress()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Mission

    public Mission​(java.lang.String name,
                   java.lang.String type)

### Method Detail

#### getProgress

    public long getProgress()

#### incrementProgress

    public void incrementProgress()

#### getName

    public java.lang.String getName()

#### getType

    public java.lang.String getType()